- libbson 1.13.1 »
- API Reference »
- bson_iter_t

# bson_iter_offset()

## Synopsis

    uint32_t
    bson_iter_offset (const bson_iter_t *iter);

## Parameters

- `iter`: A bson_iter_t.

## Description

Fetches the offset for the current element observed by `iter`.

## See Also

bson_iter_init_from_data_at_offset() to use this offset to reconstruct a bson_iter_t in constant time.

## Returns

An unsigned integer representing the offset in the BSON data of the current element.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.